---
title: Machine Types
description: API reference for Machine Types endpoints.
product: Reference
url: https://docs.digitalocean.com/reference/paperspace/api-reference/machine-types/
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# Machine Types

Generated on 13 Aug 2026

Base URL `https://api.paperspace.com/v1`

## Endpoints

- **GET** [Get machine availability](#machineAvailability-list)

## GET Get machine availability

`/machine-availability`

**Authorizations: BearerAuth**

Http: Bearer

An API key or access token

Gets the machine availability for a given region and machine type.

#### Query Parameters

`machineType` string required

Filter to machine availabilities with machine types matching this string.

`region` anyOf required

Filter to machine availabilities in this region.

##### Request: `/machine-availability`

### cURL

```bash
curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/machine-availability"
```

#### Responses

**200** Successful response

Response Schema: `application/json`

`available` boolean required

**default** Error response

Response Schema: `application/json`

`code` string required

`details` object optional

`message` string required

##### Response

**200**

```json
{
  "available": true
}
```

**default**

```json
{
  "code": "string",
  "message": "string"
}
```

* * *